| Home | Libraries | People | FAQ | More

## Class no_device_found

boost::compute::no_device_found — Exception thrown when no OpenCL device is found.

## Synopsis

    // In header: <boost/compute/exception/no_device_found.hpp>

    class no_device_found : public exception {
    public:
      // construct/copy/destruct
      no_device_found();
      ~no_device_found();

      // public member functions
      const char * what() const;
    };

## Description

This exception is thrown when no valid OpenCL device can be found.

See Also:

opencl_error

### `no_device_found` public construct/copy/destruct

1.     no_device_found();

   Creates a new `no_device_found` exception object.

2.     ~no_device_found();

   Destroys the `no_device_found` exception object.

### `no_device_found` public member functions

1.     const char * what() const;

   Returns a string containing a human-readable error message.